Package org.silverpeas.mobile.client.apps.documents.events.pages.publication

## Class PublicationLoadedEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<PublicationNavigationPagesEventHandler>
    - - org.silverpeas.mobile.client.apps.documents.events.pages.publication.AbstractPublicationPagesEvent
      - - org.silverpeas.mobile.client.apps.documents.events.pages.publication.PublicationLoadedEvent

-     public class PublicationLoadedEvent
      extends AbstractPublicationPagesEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H extends Object>`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.apps.documents.events.pages.publication.AbstractPublicationPagesEvent

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PublicationLoadedEvent​(PublicationDTO publication, boolean commentable, boolean ableToStoreContent, boolean notifiable, int sharing, String type, boolean canImport, boolean canPublish)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `dispatch​(PublicationNavigationPagesEventHandler handler)` |
    `PublicationDTO` | `getPublication()` |
    `int` | `getSharing()` |
    `String` | `getType()` |
    `boolean` | `isAbleToStoreContent()` |
    `boolean` | `isCanImport()` |
    `boolean` | `isCanPublish()` |
    `boolean` | `isCommentable()` |
    `boolean` | `isNotifiable()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.apps.documents.events.pages.publication.AbstractPublicationPagesEvent

      `getAssociatedType`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PublicationLoadedEvent

          public PublicationLoadedEvent​(PublicationDTO publication,
                                        boolean commentable,
                                        boolean ableToStoreContent,
                                        boolean notifiable,
                                        int sharing,
                                        String type,
                                        boolean canImport,
                                        boolean canPublish)

  - ### Method Detail

    - #### dispatch

          protected void dispatch​(PublicationNavigationPagesEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<PublicationNavigationPagesEventHandler>`

    - #### getPublication

          public PublicationDTO getPublication()

    - #### isCommentable

          public boolean isCommentable()

    - #### isAbleToStoreContent

          public boolean isAbleToStoreContent()

    - #### isNotifiable

          public boolean isNotifiable()

    - #### getType

          public String getType()

    - #### getSharing

          public int getSharing()

    - #### isCanImport

          public boolean isCanImport()

    - #### isCanPublish

          public boolean isCanPublish()